# --------- File OSF1_cxx_make.inc -------- 

#  Liste des librariries externes 
SOPEXTLIBS = $(SOPEXTLIBP) $(SOPEXTLIBLIST) -lfor

#  Chemin et librairie pour PI 
PIINC = $(PIEXTINC) -I/usr/include/
PILIBS = $(PIEXTLIB) -L/usr/lib/ -lXt -lX11 


#  Flag preprocesseur
CPPFLAGS = -DOSF1 -I$(SOPHYAINCP)  $(PIINC)
#  Def compilateur C et flags
CC = cc
# Replace [CNFPHFLF] by specific compilation flags below (done by configure)
CFLAGS = -O -pthread -g1  CNFPHFLF 
#  Def compilateur C++ et flags
CXX =  cxx
CXXFLAGS = -O -pthread -g1 -no_implicit_include  CNFPHFLF 
# flags specifiques pour templates repository...
CXXTEMPFLG = -ptr $(SOPHYAOBJP)/cxxrep/
#  Compilo fortran
FC = f77 CNFPHFLF 
FFLAGS =  
# Pour fabriquer les lib .a
AR = /usr/bin/ar
ARFLAGS = -rcs


#  Ordres de compilation
CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
FCCOMPILE = $(FC) $(FFLAGS) -c 

#  Extension de nom pour les librairies partagees
SLEXT = so
#  Fabrication de librairies partagees 
CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXTEMPFLG) -shared 


#  Liste de librairie de base, necessaire pour libsophya
SOPBASELIBS = -lpthread -lm 
LIBFORT = -lfor -lFutil -lots -lUfor

# --- Chemin pour l ensemble les librairies SOPHYA , +ExtLibs, +PI
SOPHYALIBLIST = -L$(SOPHYALIBP) $(SOPMODLIBLIST)  $(SOPBASELIBS)
SOPHYAEXTLIBLIST = -L$(SOPHYALIBP) $(SOPMODLIBLIST) $(SOPEXTLIBS) $(SOPBASELIBS)
SOPHYAALLLIBLIST = -L$(SOPHYALIBP) $(SOPMODLIBLIST) $(SOPPILIBLIST) $(PILIBS) $(SOPEXTLIBS) $(SOPBASELIBS)

SOPHYASLBLIST = -L$(SOPHYASLBP) -lsophya  $(SOPBASELIBS)
SOPHYAEXTSLBLIST = -L$(SOPHYASLBP) -lextsophya -lsophya $(SOPEXTLIBS) $(SOPBASELIBS)
SOPHYAALLSLBLIST = -L$(SOPHYASLBP) -lPI -lextsophya -lsophya $(PILIBS) $(SOPEXTLIBS) $(SOPBASELIBS)

#  Commande de link pour creation d executables
CXXLINK = $(CXX) $(CXXFLAGS)
CLINK = $(CC) $(CFLAGS)
FCLINK = $(FC) $(FFLAGS)

#  Commande de link pour creation de module pouvant etre charge dynamiquement
CXXDLL = $(CXX) $(CXXFLAGS) -shared
